// The HighScoreDistributor is the advertised server.  A game calls it
// up and asks for the server for it's high score table.  The distributor
// looks for the appropriate score server.  If that server exists, then
// it returns it, and the game uses it's "personal" server.  If not, a
// new server is created and then returned.  If a game requires a specific
// subclass of HighScoreSlot to be used by a server, then the Distributor
// needs to be told this before the server is created, so that an
// appropriate server is generated.  Right now, this is not implemented,
// and only the default is supported.  In the future, HighScoreSlot
// subclasses will be dynamically loaded to allow the servers for new
// games to be set up.

#import <appkit/appkit.h>

@interface HighScoreDistributor:Object
{
	id servers;	// a HashTable to hold all the available servers
}

- init;
- (id <HighScoreServer>)getServerFor:(const char *)gameName;

@end